Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515450 - [Regression] Can't Add a new Key Pair for ec2 provider
Summary: [Regression] Can't Add a new Key Pair for ec2 provider
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.0
Assignee: Ladislav Smola
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ec2:key_pair
Depends On: 1513515
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 19:42 UTC by Satoe Imaishi
Modified: 2018-03-06 15:13 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1513515
Environment:
Last Closed: 2018-03-06 15:13:23 UTC
Category: ---
Cloudforms Team: AWS


Attachments (Terms of Use)

Comment 3 CFME Bot 2017-11-29 20:29:56 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/93de9a9cd58b54899cdfff4d3dd9c87d79f3cdbe

commit 93de9a9cd58b54899cdfff4d3dd9c87d79f3cdbe
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Mon Nov 20 12:47:09 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 20 14:44:12 2017 -0500

    Merge pull request #365 from Ladas/fix_actions_for_keypair
    
    Fix KeyPair create and import actions
    (cherry picked from commit e89f59a80abd5428d1a7b373a2040e58d7ccd01e)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1515450

 .../manageiq/providers/amazon/cloud_manager/auth_key_pair.rb     | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

Comment 4 Matouš Mojžíš 2017-12-05 12:49:08 UTC
Verified in 5.9.0.11. I can add a new key pair for ec2 provider.


Note You need to log in before you can comment on or make changes to this bug.